# IceGrid::ObjectDescriptor

## Overview

### struct ObjectDescriptor

An Ice object descriptor.

#### Used By

ObjectDescriptorSeq

## Data Member Index

id
  The identity of the object.
type
  The object type.
proxyOptions
  Proxy options to use with the proxy created for this Ice object.

## Data Members

::Ice::Identity id;

  The identity of the object.

string type;

  The object type.

string proxyOptions;

  Proxy options to use with the proxy created for this Ice object. If empty, the proxy will be created with the proxy options specified on the object adapter or replica group.